import { Body, Controller, Get, Ip, Post } from '@nestjs/common';
import { AppService } from './app.service';

@Controller('api')
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Get('data')
  async getData(@Ip() ip: string) {
    return await this.appService.getClientData(ip);
  }

  @Post('select')
  async postData(
    @Ip() ip: string,
    @Body('destination') destination: string,
    @Body('remoteGatewayId') remoteGatewayId: string,
    @Body('localGatewayId') localGatewayId: string,
  ) {
    return await this.appService.postData(
      ip,
      destination,
      parseInt(remoteGatewayId),
      parseInt(localGatewayId),
    );
  }
}
