import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { ConfigModule } from '@nestjs/config';
import config from './config';
import { TypeOrmModule } from '@nestjs/typeorm';
import { User } from './entities/User';
import { AppLogger } from './logger.service';

@Module({
  imports: [
    ConfigModule.forRoot({
      load: [config],
      isGlobal: true,
    }),
    TypeOrmModule.forRoot({
      name: 'railgun',
      type: 'postgres',
      entities: [User],
      synchronize: true,
      ...config().db,
    }),
  ],
  controllers: [AppController],
  providers: [AppService, AppLogger],
})
export class AppModule {}
